Skip to main content
GET
/
distribution-requests
/
{id}
Get distribution request
curl --request GET \
  --url https://api.example.com/distribution-requests/{id}
{
  "id": "<string>",
  "type": "<string>",
  "status": "PENDING",
  "brokerageFirmId": "<string>",
  "productId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.korint.io/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required

Response

id
string
required

Unique identifier for the distribution request

type
string
required

entity type

status
enum<string>
required

Status of the distribution request

Available options:
PENDING,
WAITING_FOR_SIGNATURE,
APPROVED,
DENIED,
REVOKED
brokerageFirmId
string
required

Brokerage firm the request is attached to

productId
string
required

Product the request is for

createdAt
string<date-time>
required

Date the request was created